Vivox Safe Text APIs
Download OpenAPI specification:
Send Bulk Messages to Filter
Run a batch of messages through the environment's adaptive chat filter (SafeText) and return each message with its filtered text and whether it was flagged.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
Code samples for "Send Bulk Messages to Filter":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "messages": [ { "message": "string", "session_id": "string", "user_id": "string" } ]}' \ "https://vivox.services.api.unity.com/safe-text/v2/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/batch"
Response example
{ "results": [ { "filtered_message": "string", "original_message": "string", "flag": true } ]}